;;; psgml-init.el --- Startup code for PSGML mode
;;;
;;; Add this to your ~/.emacs or install this file into Emacs' site-start.d
    (setq load-path (append load-path '("/usr/share/emacs/site-lisp/psgml")))

;; load sgml-mode 
    (autoload 'sgml-mode "psgml" "Major mode to edit SGML files." t)
    (autoload 'xml-mode "psgml" "Major mode to edit XML files." t)
    
;; load xml-mode 
    (setq auto-mode-alist (append '(("\.xml\'" . xml-mode)) auto-mode-alist))

;; set xmllint for validating xml instead nsgmls. 
    (setq sgml-xml-validate-command "xmllint --noout --valid %s %s")

;; load sgml catalog files (from docbook-dtds and sgml-tools packages)
    (if (not (getenv "SGML_CATALOG_FILES"))
    (defvar sgml-catalog-files '("CATALOG" "/etc/sgml/catalog" "/usr/lib/sgml-tools/dtd/catalog"))
    "*List of catalog entry files.")
    (put 'sgml-catalog-files 'sgml-type 'list)
    
;;; Apply some customization (fonts, colors, keystrokes ...) for PSGML mode
	(load "/usr/share/emacs/site-lisp/psgml/custom-psgml/docbook.el")
	(load "/usr/share/emacs/site-lisp/psgml/custom-psgml/entities-ks.el")
	(load "/usr/share/emacs/site-lisp/psgml/custom-psgml/faces.el")
	(load "/usr/share/emacs/site-lisp/psgml/custom-psgml/misc.el")
